<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'newage',

    /*
     * Package.
     */
    'package'   => 'votes',

    /*
     * Modules.
     */
    'modules'   => ['vote_item', 
'vote_topic', 
'vote_voter'],

    'vote_item'       => [
        'model' => [
            'model'                 => \Newage\Votes\Models\VoteItem::class,
            'table'                 => 'vote_items',
            'presenter'             => \Newage\Votes\Repositories\Presenter\VoteItemPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'topic_id',  'name',  'description',  'image',  'vote_count',  'slug',  'status',  'user_id',  'user_type',  'created_at',  'deleted_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'votes/vote_item',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Newage',
            'package'   => 'Votes',
            'module'    => 'VoteItem',
        ],

    ],

    'vote_topic'       => [
        'model' => [
            'model'                 => \Newage\Votes\Models\VoteTopic::class,
            'table'                 => 'vote_topics',
            'presenter'             => \Newage\Votes\Repositories\Presenter\VoteTopicPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'image',  'design',  'description',  'slug',  'status',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'votes/vote_topic',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Newage',
            'package'   => 'Votes',
            'module'    => 'VoteTopic',
        ],

    ],

    'vote_voter'       => [
        'model' => [
            'model'                 => \Newage\Votes\Models\VoteVoter::class,
            'table'                 => 'vote_voters',
            'presenter'             => \Newage\Votes\Repositories\Presenter\VoteVoterPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'items_id',  'name',  'phone',  'email',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'votes/vote_voter',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Newage',
            'package'   => 'Votes',
            'module'    => 'VoteVoter',
        ],

    ],
];
