<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateVoteItemsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: vote_items
         */
        Schema::create('vote_items', function ($table) {
            $table->increments('id');
            $table->integer('topic_id')->nullable();
            $table->string('name', 255)->nullable();
            $table->text('description')->nullable();
            $table->text('image')->nullable();
            $table->integer('vote_count')->nullable();
            $table->text('slug')->nullable();
            $table->enum('status', ['show','hide'])->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('vote_items');
    }
}
