<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateVoteTopicsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: vote_topics
         */
        Schema::create('vote_topics', function ($table) {
            $table->increments('id');
            $table->string('name', 255)->nullable();
            $table->text('image')->nullable();
            $table->text('design')->nullable();
            $table->text('description')->nullable();
            $table->text('slug')->nullable();
            $table->enum('status', ['show','hide'])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('vote_topics');
    }
}
