<?php

namespace Newage\Votes\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind VoteItem policy
        'Newage\Votes\Models\VoteItem' => \Newage\Votes\Policies\VoteItemPolicy::class,
// Bind VoteTopic policy
        'Newage\Votes\Models\VoteTopic' => \Newage\Votes\Policies\VoteTopicPolicy::class,
// Bind VoteVoter policy
        'Newage\Votes\Models\VoteVoter' => \Newage\Votes\Policies\VoteVoterPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
