<?php

namespace Newage\Votes\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class VoteItemTransformer extends TransformerAbstract
{
    public function transform(\Newage\Votes\Models\VoteItem $vote_item)
    {
        return [
            'id'                => $vote_item->getRouteKey(),
            'key'               => [
                'public'    => $vote_item->getPublicKey(),
                'route'     => $vote_item->getRouteKey(),
            ], 
            'id'                => $vote_item->id,
            'topic_id'          => $vote_item->topic_id,
            'name'              => $vote_item->name,
            'description'       => $vote_item->description,
            'image'             => $vote_item->image,
            'vote_count'        => $vote_item->vote_count,
            'slug'              => $vote_item->slug,
            'status'            => $vote_item->status,
            'user_id'           => $vote_item->user_id,
            'user_type'         => $vote_item->user_type,
            'created_at'        => $vote_item->created_at,
            'deleted_at'        => $vote_item->deleted_at,
            'updated_at'        => $vote_item->updated_at,
            'url'               => [
                'public'    => trans_url('votes/'.$vote_item->getPublicKey()),
                'user'      => guard_url('votes/vote_item/'.$vote_item->getRouteKey()),
            ], 
            'status'            => trans('app.'.$vote_item->status),
            'created_at'        => format_date($vote_item->created_at),
            'updated_at'        => format_date($vote_item->updated_at),
        ];
    }
}