<?php

namespace Newage\Votes\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class VoteTopicTransformer extends TransformerAbstract
{
    public function transform(\Newage\Votes\Models\VoteTopic $vote_topic)
    {
        return [
            'id'                => $vote_topic->getRouteKey(),
            'key'               => [
                'public'    => $vote_topic->getPublicKey(),
                'route'     => $vote_topic->getRouteKey(),
            ], 
            'id'                => $vote_topic->id,
            'name'              => $vote_topic->name,
            'image'             => $vote_topic->image,
            'design'            => $vote_topic->design,
            'description'       => $vote_topic->description,
            'slug'              => $vote_topic->slug,
            'status'            => $vote_topic->status,
            'created_at'        => $vote_topic->created_at,
            'updated_at'        => $vote_topic->updated_at,
            'deleted_at'        => $vote_topic->deleted_at,
            'url'               => [
                'public'    => trans_url('votes/'.$vote_topic->getPublicKey()),
                'user'      => guard_url('votes/vote_topic/'.$vote_topic->getRouteKey()),
            ], 
            'status'            => trans('app.'.$vote_topic->status),
            'created_at'        => format_date($vote_topic->created_at),
            'updated_at'        => format_date($vote_topic->updated_at),
        ];
    }
}