<?php

namespace Newage\Votes\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class VoteVoterTransformer extends TransformerAbstract
{
    public function transform(\Newage\Votes\Models\VoteVoter $vote_voter)
    {
        return [
            'id'                => $vote_voter->getRouteKey(),
            'key'               => [
                'public'    => $vote_voter->getPublicKey(),
                'route'     => $vote_voter->getRouteKey(),
            ], 
            'id'                => $vote_voter->id,
            'items_id'          => $vote_voter->items_id,
            'name'              => $vote_voter->name,
            'phone'             => $vote_voter->phone,
            'email'             => $vote_voter->email,
            'created_at'        => $vote_voter->created_at,
            'updated_at'        => $vote_voter->updated_at,
            'deleted_at'        => $vote_voter->deleted_at,
            'url'               => [
                'public'    => trans_url('votes/'.$vote_voter->getPublicKey()),
                'user'      => guard_url('votes/vote_voter/'.$vote_voter->getRouteKey()),
            ], 
            'status'            => trans('app.'.$vote_voter->status),
            'created_at'        => format_date($vote_voter->created_at),
            'updated_at'        => format_date($vote_voter->updated_at),
        ];
    }
}